UserIdentity (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server

## Interface UserIdentity

- All Known Subinterfaces:
    UserIdentity.UnauthenticatedUserIdentity
  All Known Implementing Classes:
    DefaultUserIdentity, SpnegoUserIdentity

      public interface UserIdentity

  User object that encapsulates user identity and operations such as run-as-role actions, checking isUserInRole and getUserPrincipal. Implementations of UserIdentity should be immutable so that they may be cached by Authenticators and LoginServices.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `UserIdentity.Scope` A UserIdentity Scope.
    `static interface` | `UserIdentity.UnauthenticatedUserIdentity`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UserIdentity` | `UNAUTHENTICATED_IDENTITY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Subject` | `getSubject()`
    `Principal` | `getUserPrincipal()`
    `boolean` | `isUserInRole(String role, UserIdentity.Scope scope)` Check if the user is in a role.

- - ### Field Detail

    - #### UNAUTHENTICATED_IDENTITY

          static final UserIdentity UNAUTHENTICATED_IDENTITY

  - ### Method Detail

    - #### getSubject

          Subject getSubject()

      Returns:
        The user subject

    - #### getUserPrincipal

          Principal getUserPrincipal()

      Returns:
        The user principal

    - #### isUserInRole

          boolean isUserInRole(String role,
                             UserIdentity.Scope scope)

      Check if the user is in a role. This call is used to satisfy authorization calls from container code which will be using translated role names.
      Parameters:
        `role` - A role name.
        `scope` -
      Returns:
        True if the user can act in that role.

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.